<div class="slides-panel-content no-horizontal-overflow">
  <ng-container *ngFor="let slide of slideEntities">
    <div
      class="slide-item-max"
      [ngClass]="slide?.deleted ? '' : 'standard-hover'">
      <app-slide-item
        [slide]="slide"
        [slideImage]="slideImages[slide.id]"
        [selectedSlide]="selectedSlideId"
        (itemSelected)="slideSelected.emit($event)">
      </app-slide-item>
    </div>
    <mat-divider></mat-divider>
  </ng-container>
  <ng-container *ngIf="selectionMissing">
    <app-missing-selection-error
      [missingSelectionType]="selectionMissing"
      (errorClicked)="onMissingSelectionErrorClick($event)">
    </app-missing-selection-error>
  </ng-container>
  <ng-container *ngIf="!slideEntities.length && !selectionMissing && contentLoaded">
    <div class="menu-no-content">
      <div>Case has no Slides</div>
    </div>
  </ng-container>
</div>
